Overview | Project | Class | Tree | Deprecated | Index

Nestopia Core API

FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD

## api
Typedef Nes::Core::Video::Output::LockCallback

Surface lock callback prototype. Called right before the core is about to render to the surface.

Parameters:
  `userData` - optional user data
  `output` - object to this class
Returns:
  true if surface is valid and can be written to

Details

### LockCallback

    public typedef bool( NST_CALLBACK* LockCallback )( void* userData, Output& output );

Overview | Project | Class | Tree | Deprecated | Index

Nestopia Core API

FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD